Observe provider-confirmed progress for one upload as a workspace administrator.
using System.Net.Http.Headers;var client = new HttpClient();var request = new HttpRequestMessage{ Method = HttpMethod.Get, RequestUri = new Uri("https://example.com/api/workspace/files/uploads/administration/example/progress"), Headers = { { "Authorization", "Bearer <token>" }, },};using (var response = await client.SendAsync(request)){ response.EnsureSuccessStatusCode(); var body = await response.Content.ReadAsStringAsync(); Console.WriteLine(body);}const url = 'https://example.com/api/workspace/files/uploads/administration/example/progress';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://example.com/api/workspace/files/uploads/administration/example/progress \ --header 'Authorization: Bearer <token>'Read-only; includes system-automation uploads. Unknown progress has null byte/part counts. Does not grant file access or expose provider upload identifiers, locators, ETags or URLs.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”Query Parameters
Section titled “Query Parameters”Optional access token for clients that cannot set Authorization headers. Prefer Authorization: Bearer <token> when possible.
Responses
Section titled “Responses”OK
object
Administrative point observation of one upload; it does not grant content access.
object
Exact physical upload session being observed.
Server-recorded source function run, if any.
Queued Job associated with the recorded source run, if any.
Expected complete body size; not evidence of transferred bytes.
Bytes in confirmed parts; null when observation is unavailable.
Number of confirmed parts; null when observation is unavailable.
Time of this observation; reading does not renew upload activity or expiry.
object
object
object
object
Example
{ "Data": { "Status": 0, "Observation": 0 }, "Errors": [ { "Type": 0, "Severity": 0 } ], "Warnings": [ { "Type": 0, "Severity": 0 } ]}Forbidden
object
Examplegenerated
{ "type": "example", "title": "example", "status": 1, "detail": "example", "instance": "example"}Not Found
object
Administrative point observation of one upload; it does not grant content access.
object
Exact physical upload session being observed.
Server-recorded source function run, if any.
Queued Job associated with the recorded source run, if any.
Expected complete body size; not evidence of transferred bytes.
Bytes in confirmed parts; null when observation is unavailable.
Number of confirmed parts; null when observation is unavailable.
Time of this observation; reading does not renew upload activity or expiry.
object
object
object
object
Example
{ "Data": { "Status": 0, "Observation": 0 }, "Errors": [ { "Type": 0, "Severity": 0 } ], "Warnings": [ { "Type": 0, "Severity": 0 } ]}